# Intel® Enhanced Privacy ID SDK: epid/common/math/pairing.h File Reference

pairing.h File Reference

Pairing interface. More...

`#include "epid/common/errors.h"`
`#include "epid/common/types.h"`
`#include "epid/common/math/finitefield.h"`
`#include "epid/common/math/ecgroup.h"`

## Typedefs

typedef struct PairingState | PairingState
| A pairing.

## Functions

EpidStatus | NewPairingState (EcGroup const *ga, EcGroup const *gb, FiniteField *ff, BigNumStr const *t, bool neg, PairingState **ps)
| Constructs a new Pairing State. More...
void | DeletePairingState (PairingState **ps)
| Frees a previously allocated by PairingState. More...
EpidStatus | Pairing (PairingState *ps, FfElement *d, EcPoint const *a, EcPoint const *b)
| Computes an Optimal Ate Pairing for two parameters. More...

## Detailed Description

Pairing interface.